Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeAddressEntry

All Superinterfaces:
  IAddressEntry, IItem, IPerson, java.io.Serializable

public interface IExchangeAddressEntry
extends IAddressEntry

This interface is used for Exchange specific address entries as obtained from the GAL for Exchange 5.5, or Active Directory for Exchange 2000 and 2003. The item class for this interface is `item.addressentry.exchange`.

Field Summary
`static Key` | `ADDRESS_TYPE` The key representing the address type for an address entry.
`static Key` | `ALIAS` The key representing the alias for an address entry.
`static Key` | `ASSISTANT_TELEPHONE_NUMBER` The key representing the assistant telephone number for an address entry.
`static Key` | `BUSINESS_COUNTRY` The key representing the business country for an address entry.
`static Key` | `BUSINESS2_TELEPHONE_NUMBER` The key representing the business2 telephone number for an address entry.
`static ItemClass` | `CLASS` The item class of `IExchangeAddressEntry`.
`static Key` | `DISPLAY_TYPE` The key representing the display type for an address entry.
`static Key` | `HOME_SERVER` The key representing the home server for an address entry.
`static Key` | `HOME2_TELEPHONE_NUMBER` The key representing the home2 telephone number for an address entry.
`static Key` | `INITIALS` The key representing the initials for an address entry.
`static int` | `KEYID_ADDRESS_TYPE` The `int` ID for the `ADDRESS_TYPE` key.
`static int` | `KEYID_ALIAS` The `int` ID for the `ALIAS` key.
`static int` | `KEYID_ASSISTANT_TELEPHONE_NUMBER` The `int` ID for the `ASSISTANT_TELEPHONE_NUMBER` key.
`static int` | `KEYID_BUSINESS_COUNTRY` The `int` ID for the `BUSINESS_COUNTRY` key.
`static int` | `KEYID_BUSINESS2_TELEPHONE_NUMBER` The `int` ID for the `BUSINESS2_TELEPHONE_NUMBER` key.
`static int` | `KEYID_DISPLAY_TYPE` The `int` ID for the `DISPLAY_TYPE` key.
`static int` | `KEYID_HOME_SERVER` The `int` ID for the `HOME_SERVER` key.
`static int` | `KEYID_HOME2_TELEPHONE_NUMBER` The `int` ID for the `HOME2_TELEPHONE_NUMBER` key.
`static int` | `KEYID_INITIALS` The `int` ID for the `INITIALS` key.
`static int` | `KEYID_LANGUAGE` The `int` ID for the `LANGUAGE` key.
`static int` | `KEYID_LOCALITY` The `int` ID for the `LOCALITY` key.
`static int` | `KEYID_MOBILE_TELEPHONE_NUMBER` The `int` ID for the `MOBILE_TELEPHONE_NUMBER` key.
`static int` | `KEYID_PAGER_TELEPHONE_NUMBER` The `int` ID for the `PAGER_TELEPHONE_NUMBER` key.
`static int` | `KEYID_POSTAL_CODE` The `int` ID for the `POSTAL_CODE` key.
`static int` | `KEYID_PRIMARY_ACCOUNT` The `int` ID for the `PRIMARY_ACCOUNT` key.
`static int` | `KEYID_PRIMARY_ACCOUNT_SID` The `int` ID for the `PRIMARY_ACCOUNT_SID` key.
`static int` | `KEYID_PRIMARY_FAX_NUMBER` The `int` ID for the `PRIMARY_FAX_NUMBER` key.
`static int` | `KEYID_PRIMARY_TELEPHONE_NUMBER` The `int` ID for the `PRIMARY_TELEPHONE_NUMBER` key.
`static int` | `KEYID_STATE_OR_PROVINCE` The `int` ID for the `STATE_OR_PROVINCE` key.
`static int` | `KEYID_STREET_ADDRESS` The `int` ID for the `STREET_ADDRESS` key.
`static Key` | `LANGUAGE` The key representing the language for an address entry.
`static Key` | `LOCALITY` The key representing the locality for an address entry.
`static Key` | `MOBILE_TELEPHONE_NUMBER` The key representing the mobile telephone number for an address entry.
`static Key` | `PAGER_TELEPHONE_NUMBER` The key representing the pager telephone number for an address entry.
`static Key` | `POSTAL_CODE` The key representing the postal code for an address entry.
`static Key` | `PRIMARY_ACCOUNT` The key representing the primary account for an address entry.
`static Key` | `PRIMARY_ACCOUNT_SID` The key representing the primary account sid for an address entry.
`static Key` | `PRIMARY_FAX_NUMBER` The key representing the primary fax number for an address entry.
`static Key` | `PRIMARY_TELEPHONE_NUMBER` The key representing the primary telephone number for an address entry.
`static Key` | `STATE_OR_PROVINCE` The key representing the state or province for an address entry.
`static Key` | `STREET_ADDRESS` The key representing the street address for an address entry.

Fields inherited from interface com.compoze.collab.groupware.IAddressEntry
`ADDRESS, KEYID_ADDRESS`

Fields inherited from interface com.compoze.collab.groupware.IPerson
`ASSISTANT, BUSINESS_ADDRESS_CITY, BUSINESS_ADDRESS_COUNTRY, BUSINESS_ADDRESS_POSTAL_CODE, BUSINESS_ADDRESS_STATE, BUSINESS_ADDRESS_STREET, BUSINESS_FAX, BUSINESS_PAGER, BUSINESS_PHONE, COMPANY_NAME, DEPARTMENT_NAME, DISPLAY_NAME, FIRST_NAME, JOB_TITLE, KEYID_ASSISTANT, KEYID_BUSINESS_ADDRESS_CITY, KEYID_BUSINESS_ADDRESS_COUNTRY, KEYID_BUSINESS_ADDRESS_POSTAL_CODE, KEYID_BUSINESS_ADDRESS_STATE, KEYID_BUSINESS_ADDRESS_STREET, KEYID_BUSINESS_FAX, KEYID_BUSINESS_PAGER, KEYID_BUSINESS_PHONE, KEYID_COMPANY_NAME, KEYID_DEPARTMENT_NAME, KEYID_DISPLAY_NAME, KEYID_FIRST_NAME, KEYID_JOB_TITLE, KEYID_LAST_NAME, KEYID_MANAGER_NAME, KEYID_MIDDLE_NAME, KEYID_NAME_PREFIX, KEYID_NAME_SUFFIX, KEYID_OFFICE_LOCATION, KEYID_PERSONAL_ADDRESS_CITY, KEYID_PERSONAL_ADDRESS_COUNTRY, KEYID_PERSONAL_ADDRESS_POSTAL_CODE, KEYID_PERSONAL_ADDRESS_STATE, KEYID_PERSONAL_ADDRESS_STREET, KEYID_PERSONAL_FAX, KEYID_PERSONAL_MOBILE_PHONE, KEYID_PERSONAL_PHONE, KEYID_SMTP_ADDRESS, KEYID_WEB_PAGE, LAST_NAME, MANAGER_NAME, MIDDLE_NAME, NAME_PREFIX, NAME_SUFFIX, OFFICE_LOCATION, PERSONAL_ADDRESS_CITY, PERSONAL_ADDRESS_COUNTRY, PERSONAL_ADDRESS_POSTAL_CODE, PERSONAL_ADDRESS_STATE, PERSONAL_ADDRESS_STREET, PERSONAL_FAX, PERSONAL_MOBILE_PHONE, PERSONAL_PHONE, SMTP_ADDRESS, WEB_PAGE`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`java.lang.String` | `getAddressType()` Gets the address type for the address entry.
`java.lang.String` | `getAlias()` Gets the alias for the address entry.
`PhoneNumber[]` | `getBusiness2Phone()` Gets the business 2 phone numbers for the address entry.
`java.lang.String` | `getBusinessCountry()` Gets the business country for the address entry.
`FreeBusy` | `getFreeBusy(java.util.Date start, java.util.Date end)` Gets the Free/Busy information for the address.
`FreeBusy` | `getFreeBusy(java.util.Date start, java.util.Date end, int iInterval)` Gets the Free/Busy information for the address.
`java.lang.String` | `getInitials()` Gets the initials for the address entry.
`java.lang.String` | `getLanguage()` Gets the language for the address entry.
`java.lang.String` | `getLocality()` Gets the locality for the address entry.
`PhoneNumber` | `getMobilePhoneNumber()` Gets the mobile phone number for the address entry.
`PhoneNumber` | `getPagerPhoneNumber()` Gets the pager phone number for the address entry.
`java.lang.String` | `getPostalCode()` Gets the postal code for the address entry.
`java.lang.String` | `getPrimaryAccount()` Gets the primary account for the address entry.
`byte[]` | `getPrimaryAccountSid()` Gets the primary account SID for the address entry.
`PhoneNumber` | `getPrimaryFaxNumber()` Gets the primary fax number for the address entry.
`PhoneNumber` | `getPrimaryTelephoneNumber()` Gets the primary telephone number for the address entry.
`java.lang.String` | `getStreetAddress()` Gets the street address for the address entry.

Methods inherited from interface com.compoze.collab.groupware.IAddressEntry
`getAddress`

Methods inherited from interface com.compoze.collab.groupware.IPerson
`getAssistant, getBusinessAddress, getBusinessFax, getBusinessPager, getBusinessPhone, getCompanyName, getDepartmentName, getDisplayName, getFirstName, getHomeFax, getHomePhone, getJobTitle, getLastName, getManagerName, getMiddleName, getNamePrefix, getNameSuffix, getOfficeLocation, getPersonalAddress, getPersonalMobilePhone, getSmtpAddress, getWebPage, setAssistant, setBusinessAddress, setBusinessFax, setBusinessPager, setBusinessPhone, setCompanyName, setDepartmentName, setDisplayName, setFirstName, setHomeFax, setHomePhone, setJobTitle, setLastName, setManagerName, setMiddleName, setName, setNamePrefix, setNameSuffix, setOfficeLocation, setPersonalAddress, setPersonalMobilePhone, setSmtpAddress, setWebPage`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_ADDRESS_TYPE

    public static final int KEYID_ADDRESS_TYPE

  The `int` ID for the `ADDRESS_TYPE` key.

### KEYID_ALIAS

    public static final int KEYID_ALIAS

  The `int` ID for the `ALIAS` key.

### KEYID_ASSISTANT_TELEPHONE_NUMBER

    public static final int KEYID_ASSISTANT_TELEPHONE_NUMBER

  The `int` ID for the `ASSISTANT_TELEPHONE_NUMBER` key.

### KEYID_BUSINESS_COUNTRY

    public static final int KEYID_BUSINESS_COUNTRY

  The `int` ID for the `BUSINESS_COUNTRY` key.

### KEYID_BUSINESS2_TELEPHONE_NUMBER

    public static final int KEYID_BUSINESS2_TELEPHONE_NUMBER

  The `int` ID for the `BUSINESS2_TELEPHONE_NUMBER` key.

### KEYID_DISPLAY_TYPE

    public static final int KEYID_DISPLAY_TYPE

  The `int` ID for the `DISPLAY_TYPE` key.

### KEYID_HOME_SERVER

    public static final int KEYID_HOME_SERVER

  The `int` ID for the `HOME_SERVER` key.

### KEYID_HOME2_TELEPHONE_NUMBER

    public static final int KEYID_HOME2_TELEPHONE_NUMBER

  The `int` ID for the `HOME2_TELEPHONE_NUMBER` key.

### KEYID_INITIALS

    public static final int KEYID_INITIALS

  The `int` ID for the `INITIALS` key.

### KEYID_LANGUAGE

    public static final int KEYID_LANGUAGE

  The `int` ID for the `LANGUAGE` key.

### KEYID_LOCALITY

    public static final int KEYID_LOCALITY

  The `int` ID for the `LOCALITY` key.

### KEYID_STREET_ADDRESS

    public static final int KEYID_STREET_ADDRESS

  The `int` ID for the `STREET_ADDRESS` key.

### KEYID_MOBILE_TELEPHONE_NUMBER

    public static final int KEYID_MOBILE_TELEPHONE_NUMBER

  The `int` ID for the `MOBILE_TELEPHONE_NUMBER` key.

### KEYID_PAGER_TELEPHONE_NUMBER

    public static final int KEYID_PAGER_TELEPHONE_NUMBER

  The `int` ID for the `PAGER_TELEPHONE_NUMBER` key.

### KEYID_POSTAL_CODE

    public static final int KEYID_POSTAL_CODE

  The `int` ID for the `POSTAL_CODE` key.

### KEYID_PRIMARY_ACCOUNT

    public static final int KEYID_PRIMARY_ACCOUNT

  The `int` ID for the `PRIMARY_ACCOUNT` key.

### KEYID_PRIMARY_ACCOUNT_SID

    public static final int KEYID_PRIMARY_ACCOUNT_SID

  The `int` ID for the `PRIMARY_ACCOUNT_SID` key.

### KEYID_PRIMARY_FAX_NUMBER

    public static final int KEYID_PRIMARY_FAX_NUMBER

  The `int` ID for the `PRIMARY_FAX_NUMBER` key.

### KEYID_PRIMARY_TELEPHONE_NUMBER

    public static final int KEYID_PRIMARY_TELEPHONE_NUMBER

  The `int` ID for the `PRIMARY_TELEPHONE_NUMBER` key.

### KEYID_STATE_OR_PROVINCE

    public static final int KEYID_STATE_OR_PROVINCE

  The `int` ID for the `STATE_OR_PROVINCE` key.

### ADDRESS_TYPE

    public static final Key ADDRESS_TYPE

  The key representing the address type for an address entry.

### ALIAS

    public static final Key ALIAS

  The key representing the alias for an address entry.

### ASSISTANT_TELEPHONE_NUMBER

    public static final Key ASSISTANT_TELEPHONE_NUMBER

  The key representing the assistant telephone number for an address entry.

### BUSINESS_COUNTRY

    public static final Key BUSINESS_COUNTRY

  The key representing the business country for an address entry.

### BUSINESS2_TELEPHONE_NUMBER

    public static final Key BUSINESS2_TELEPHONE_NUMBER

  The key representing the business2 telephone number for an address entry.

### DISPLAY_TYPE

    public static final Key DISPLAY_TYPE

  The key representing the display type for an address entry.

### HOME_SERVER

    public static final Key HOME_SERVER

  The key representing the home server for an address entry.

### HOME2_TELEPHONE_NUMBER

    public static final Key HOME2_TELEPHONE_NUMBER

  The key representing the home2 telephone number for an address entry.

### INITIALS

    public static final Key INITIALS

  The key representing the initials for an address entry.

### LANGUAGE

    public static final Key LANGUAGE

  The key representing the language for an address entry.

### LOCALITY

    public static final Key LOCALITY

  The key representing the locality for an address entry.

### MOBILE_TELEPHONE_NUMBER

    public static final Key MOBILE_TELEPHONE_NUMBER

  The key representing the mobile telephone number for an address entry.

### PAGER_TELEPHONE_NUMBER

    public static final Key PAGER_TELEPHONE_NUMBER

  The key representing the pager telephone number for an address entry.

### POSTAL_CODE

    public static final Key POSTAL_CODE

  The key representing the postal code for an address entry.

### PRIMARY_ACCOUNT

    public static final Key PRIMARY_ACCOUNT

  The key representing the primary account for an address entry.

### PRIMARY_ACCOUNT_SID

    public static final Key PRIMARY_ACCOUNT_SID

  The key representing the primary account sid for an address entry.

### PRIMARY_FAX_NUMBER

    public static final Key PRIMARY_FAX_NUMBER

  The key representing the primary fax number for an address entry.

### PRIMARY_TELEPHONE_NUMBER

    public static final Key PRIMARY_TELEPHONE_NUMBER

  The key representing the primary telephone number for an address entry.

### STATE_OR_PROVINCE

    public static final Key STATE_OR_PROVINCE

  The key representing the state or province for an address entry.

### STREET_ADDRESS

    public static final Key STREET_ADDRESS

  The key representing the street address for an address entry.

### CLASS

    public static final ItemClass CLASS

  The item class of `IExchangeAddressEntry`.

Method Detail

### getAddressType

    public java.lang.String getAddressType()
                                    throws CollaborationException

  Gets the address type for the address entry.
  Returns:
    the address type
  Throws:
    `CollaborationException` - if there was an error getting the address type

### getAlias

    public java.lang.String getAlias()
                              throws CollaborationException

  Gets the alias for the address entry.
  Returns:
    the alias
  Throws:
    `CollaborationException` - if there was an error getting the alias

### getBusinessCountry

    public java.lang.String getBusinessCountry()
                                        throws CollaborationException

  Gets the business country for the address entry.
  Returns:
    the business country
  Throws:
    `CollaborationException` - if there was an error getting the business country

### getBusiness2Phone

    public PhoneNumber[] getBusiness2Phone()
                                    throws CollaborationException

  Gets the business 2 phone numbers for the address entry.
  Returns:
    the business 2 phone numbers
  Throws:
    `CollaborationException` - if there was an error getting the business 2 phone numbers

### getInitials

    public java.lang.String getInitials()
                                 throws CollaborationException

  Gets the initials for the address entry.
  Returns:
    the initials
  Throws:
    `CollaborationException` - if there was an error getting the initials

### getLanguage

    public java.lang.String getLanguage()
                                 throws CollaborationException

  Gets the language for the address entry.
  Returns:
    the language
  Throws:
    `CollaborationException` - if there was an error getting the language

### getLocality

    public java.lang.String getLocality()
                                 throws CollaborationException

  Gets the locality for the address entry.
  Returns:
    the locality
  Throws:
    `CollaborationException` - if there was an error getting the locality

### getMobilePhoneNumber

    public PhoneNumber getMobilePhoneNumber()
                                     throws CollaborationException

  Gets the mobile phone number for the address entry.
  Returns:
    the mobile phone number
  Throws:
    `CollaborationException` - if there was an error getting the mobile phone number

### getPagerPhoneNumber

    public PhoneNumber getPagerPhoneNumber()
                                    throws CollaborationException

  Gets the pager phone number for the address entry.
  Returns:
    the pager phone number
  Throws:
    `CollaborationException` - if there was an error getting the pager phone number

### getPostalCode

    public java.lang.String getPostalCode()
                                   throws CollaborationException

  Gets the postal code for the address entry.
  Returns:
    the postal code
  Throws:
    `CollaborationException` - if there was an error getting the postal code

### getPrimaryAccount

    public java.lang.String getPrimaryAccount()
                                       throws CollaborationException

  Gets the primary account for the address entry.
  Returns:
    the primary account
  Throws:
    `CollaborationException` - if there was an error getting the primary account

### getPrimaryAccountSid

    public byte[] getPrimaryAccountSid()
                                throws CollaborationException

  Gets the primary account SID for the address entry.
  Returns:
    the primary account SID
  Throws:
    `CollaborationException` - if there was an error getting the primary account SID

### getPrimaryFaxNumber

    public PhoneNumber getPrimaryFaxNumber()
                                    throws CollaborationException

  Gets the primary fax number for the address entry.
  Returns:
    the primary fax number
  Throws:
    `CollaborationException` - if there was an error getting the primary fax number

### getPrimaryTelephoneNumber

    public PhoneNumber getPrimaryTelephoneNumber()
                                          throws CollaborationException

  Gets the primary telephone number for the address entry.
  Returns:
    the primary telephone number
  Throws:
    `CollaborationException` - if there was an error getting the primary telephone number

### getStreetAddress

    public java.lang.String getStreetAddress()
                                      throws CollaborationException

  Gets the street address for the address entry.
  Returns:
    the street address
  Throws:
    `CollaborationException` - if there was an error getting the street address

### getFreeBusy

    public FreeBusy getFreeBusy(java.util.Date start,
                                java.util.Date end)
                         throws CollaborationException

  Gets the Free/Busy information for the address. This method will not return times that are marked as "free". If no Free/Busy information can be found, then a value of `null` is returned. Requires the properties in `See Also`.
  Parameters:
    `start` - the start date and time to query from.
    `end` - the end date and time to query to.
  Returns:
    the free/busy data for the address entry, or `null` if no free/busy information can be found for the address entry.
  Throws:
    `CollaborationException` - if there was an error getting the free/busy information
  See Also:
    `IAddressEntry.ADDRESS`

### getFreeBusy

    public FreeBusy getFreeBusy(java.util.Date start,
                                java.util.Date end,
                                int iInterval)
                         throws CollaborationException

  Gets the Free/Busy information for the address. This method will return `TimeSlot`s that include "free" slots where there is no "busy", "tentative", or "out-of-office marker." If no Free/Busy information can be found, then a value of `null` is returned. Requires the properties in `See Also`.
  Parameters:
    `start` - the start date and time to query from.
    `end` - the end date and time to query to.
    `iInterval` - the interval, in minutes, used to segment the free/busy information.
  Returns:
    the free/busy data for the address entry divided into the timeslots specified by the supplied interval or `null` if no free/busy information can be found for the address entry.
  Throws:
    `CollaborationException` - if there was an error getting the free/busy information
  See Also:
    `IAddressEntry.ADDRESS`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.